List Campaigns
curl --request GET \
--url https://api.getello.ai/api/campaign \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getello.ai/api/campaign"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getello.ai/api/campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Campaigns retrieved successfully",
"data": [
{
"campaign_id": "6901c1d8b004a5d55a123abc",
"campaignName": "Follow-up Campaign October",
"assistantId": "685d4b93abcf4c90c18034aa",
"status": "scheduled",
"scheduleTime": "2025-10-29T11:30:00.000Z",
"recipientCount": 150,
"createdAt": "2026-04-07T10:30:00.000Z",
"updatedAt": "2026-04-07T10:35:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 25,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}
}{
"status": 400,
"message": "Invalid query parameters"
}{
"status": 401,
"message": "Authentication token is missing or invalid"
}{
"status": 500,
"message": "Error while fetching campaigns"
}Campaigns
List Campaigns
Retrieves a paginated list of created campaigns.
GET
/
api
/
campaign
List Campaigns
Authorizations
apiKeybearerAuth
Query Parameters
Search keyword to filter campaigns by name or other attributes.
Filter campaigns based on their current status.
Available options:
scheduled, running, completed, failed Example:
"scheduled"
The page number to retrieve.
Required range:
x >= 1Number of campaigns to return per page.
Required range:
1 <= x <= 100⌘I